VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::vapi::metadata::authentication::StructDefinitions Class Reference

Defines the type descriptors for the top-level types in `com.vmware.vapi.metadata.authentication` package. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | authenticationInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | componentData
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | componentInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | operationInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | packageInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | serviceInfo

## Detailed Description

Defines the type descriptors for the top-level types in `com.vmware.vapi.metadata.authentication` package.

WARNING: Internal API, subject to change in future versions.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::authentication::StructDefinitions::authenticationInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("scheme_type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vapi.metadata.authentication.AuthenticationInfo.SchemeType)));
                    fields.Add("session_manager", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("scheme", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("SESSION_AWARE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("session_manager", false)});
                    caseFields.Add("SESSIONLESS", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    validators.Add(new vmware.vapi.data.UnionValidator("scheme_type", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.authentication.authentication_info", fields, typeof(vmware.vapi.metadata.authentication.AuthenticationInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::authentication::StructDefinitions::componentData`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("info", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.authentication.StructDefinitions.componentInfo.Value)));
                    fields.Add("fingerprint", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.authentication.component_data", fields, typeof(vmware.vapi.metadata.authentication.ComponentData), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::authentication::StructDefinitions::componentInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("packages", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vapi.package"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.authentication.StructDefinitions.packageInfo.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.authentication.component_info", fields, typeof(vmware.vapi.metadata.authentication.ComponentInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::authentication::StructDefinitions::operationInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("schemes", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.authentication.StructDefinitions.authenticationInfo.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.authentication.operation_info", fields, typeof(vmware.vapi.metadata.authentication.OperationInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::authentication::StructDefinitions::packageInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("schemes", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.authentication.StructDefinitions.authenticationInfo.Value))));
                    fields.Add("services", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vapi.service"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.authentication.StructDefinitions.serviceInfo.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.authentication.package_info", fields, typeof(vmware.vapi.metadata.authentication.PackageInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::authentication::StructDefinitions::serviceInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("schemes", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.authentication.StructDefinitions.authenticationInfo.Value))));
                    fields.Add("operations", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vapi.operation"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.authentication.StructDefinitions.operationInfo.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.authentication.service_info", fields, typeof(vmware.vapi.metadata.authentication.ServiceInfo), validators, false, null);
                })

The documentation for this class was generated from the following file:

- vapi/metadata/authentication/StructDefinitions.cs